Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -4297,27 +4006,23 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           IF ( av == 0 )  THEN
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
-                                                            averaging_interval
+             WRITE ( time_average_text, '('', '',F7.1,'' s average'')' ) averaging_interval
           ENDIF
           nc_stat = NF90_REDEF( id_set_xz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 433 )
-          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title',         &
-                                  TRIM( run_description_header ) //            &
-                                  TRIM( time_average_text ) )
+          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title',                             &
+                                  TRIM( run_description_header ) // TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 178 )
           nc_stat = NF90_ENDDEF( id_set_xz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 434 )
-          message_string = 'netCDF file for cross-sections ' //                &
-                            TRIM( var ) // ' from previous run found.' //      &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for cross-sections ' // TRIM( var ) //                     &
+                           ' from previous run found.' // '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0253', 0, 0, 0, 6, 0 )
 
@@ -4328,10 +4033,12 @@
 !--       Define some global attributes of the dataset
           IF ( av == 0 )  THEN
-             CALL netcdf_create_global_atts( id_set_yz(av), 'yz', TRIM( run_description_header ), 179 )
+             CALL netcdf_create_global_atts( id_set_yz(av), 'yz', TRIM( run_description_header ),  &
+                                             179 )
              time_average_text = ' '
           ELSE
-             CALL netcdf_create_global_atts( id_set_yz(av), 'yz_av', TRIM( run_description_header ), 179 )
+             CALL netcdf_create_global_atts( id_set_yz(av), 'yz_av',                               &
+                                             TRIM( run_description_header ), 179 )
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
-             nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'time_avg',   &
+             nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'time_avg',                       &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 180 )
@@ -4340,17 +4047,16 @@
 !
 !--       Define time coordinate for yz sections.
-!--       For parallel output the time dimensions has to be limited, otherwise
-!--       the performance drops significantly.
+!--       For parallel output the time dimensions has to be limited, otherwise the performance drops
+!--       significantly.
           IF ( netcdf_data_format < 5 )  THEN
-             CALL netcdf_create_dim( id_set_yz(av), 'time', NF90_UNLIMITED,    &
-                                     id_dim_time_yz(av), 181 )
+             CALL netcdf_create_dim( id_set_yz(av), 'time', NF90_UNLIMITED, id_dim_time_yz(av),    &
+                                     181 )
           ELSE
-             CALL netcdf_create_dim( id_set_yz(av), 'time', ntdim_2d_yz(av),   &
-                                     id_dim_time_yz(av), 526 )
-          ENDIF
-
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_time_yz(av) /),     &
-                                  'time', NF90_DOUBLE, id_var_time_yz(av),     &
-                                  'seconds', 'time', 182, 183, 000 )
+             CALL netcdf_create_dim( id_set_yz(av), 'time', ntdim_2d_yz(av), id_dim_time_yz(av),   &
+                                     526 )
+          ENDIF
+
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_time_yz(av) /), 'time', NF90_DOUBLE,    &
+                                  id_var_time_yz(av), 'seconds', 'time', 182, 183, 000 )
           CALL netcdf_create_att( id_set_yz(av), id_var_time_yz(av), 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_yz(av), id_var_time_yz(av), 'axis', 'T', 000)
@@ -4362,5 +4068,5 @@
           ELSE
              ns = 1
-             DO WHILE ( section(ns,3) /= -9999  .AND.  ns <= 100 )
+             DO  WHILE ( section(ns,3) /= -9999  .AND.  ns <= 100 )
                 ns = ns + 1
              ENDDO
@@ -4370,69 +4076,48 @@
 !
 !--       Define x axis (for scalar position)
-          CALL netcdf_create_dim( id_set_yz(av), 'x_yz', ns, id_dim_x_yz(av),  &
-                                  184 )
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_x_yz(av) /),        &
-                                  'x_yz', NF90_DOUBLE, id_var_x_yz(av),        &
-                                  'meters', '', 185, 186, 000 )
-          CALL netcdf_create_att( id_set_yz(av), id_var_x_yz(av), 'axis',      &
-                                  'X', 000)
+          CALL netcdf_create_dim( id_set_yz(av), 'x_yz', ns, id_dim_x_yz(av), 184 )
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_x_yz(av) /), 'x_yz', NF90_DOUBLE,       &
+                                  id_var_x_yz(av), 'meters', '', 185, 186, 000 )
+          CALL netcdf_create_att( id_set_yz(av), id_var_x_yz(av), 'axis', 'X', 000)
 !
 !--       Define x axis (for u position)
-          CALL netcdf_create_dim( id_set_yz(av), 'xu_yz', ns,                  &
-                                  id_dim_xu_yz(av), 377 )
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_xu_yz(av) /),       &
-                                  'xu_yz', NF90_DOUBLE, id_var_xu_yz(av),      &
-                                  'meters', '', 378, 379, 000 )
-          CALL netcdf_create_att( id_set_yz(av), id_var_xu_yz(av), 'axis',     &
-                                  'X', 000)
-!
-!--       Define a variable to store the layer indices of the vertical cross
-!--       sections
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_x_yz(av) /),        &
-                                  'ind_x_yz', NF90_DOUBLE,                     &
-                                  id_var_ind_x_yz(av), 'gridpoints', '', 187,  &
-                                  188, 000 )
+          CALL netcdf_create_dim( id_set_yz(av), 'xu_yz', ns, id_dim_xu_yz(av), 377 )
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_xu_yz(av) /), 'xu_yz', NF90_DOUBLE,     &
+                                  id_var_xu_yz(av), 'meters', '', 378, 379, 000 )
+          CALL netcdf_create_att( id_set_yz(av), id_var_xu_yz(av), 'axis', 'X', 000)
+!
+!--       Define a variable to store the layer indices of the vertical cross sections
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_x_yz(av) /), 'ind_x_yz', NF90_DOUBLE,   &
+                                  id_var_ind_x_yz(av), 'gridpoints', '', 187, 188, 000 )
 !
 !--       Define y-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_yz(av), 'y', ny+1, id_dim_y_yz(av),   &
-                                  189 )
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_y_yz(av) /), 'y',   &
-                                  NF90_DOUBLE, id_var_y_yz(av), 'meters', '',  &
-                                  190, 191, 000 )
-          CALL netcdf_create_att( id_set_yz(av), id_var_y_yz(av), 'axis',      &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_yz(av), 'y', ny+1, id_dim_y_yz(av), 189 )
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_y_yz(av) /), 'y', NF90_DOUBLE,          &
+                                  id_var_y_yz(av), 'meters', '', 190, 191, 000 )
+          CALL netcdf_create_att( id_set_yz(av), id_var_y_yz(av), 'axis', 'Y', 000)
 !
 !--       Define y-axis (for v position)
-          CALL netcdf_create_dim( id_set_yz(av), 'yv', ny+1, id_dim_yv_yz(av), &
-                                  380 )
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_yv_yz(av) /), 'yv', &
-                                  NF90_DOUBLE, id_var_yv_yz(av), 'meters', '', &
-                                  381, 382, 000 )
-          CALL netcdf_create_att( id_set_yz(av), id_var_yv_yz(av), 'axis',     &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_yz(av), 'yv', ny+1, id_dim_yv_yz(av), 380 )
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_yv_yz(av) /), 'yv', NF90_DOUBLE,        &
+                                  id_var_yv_yz(av), 'meters', '', 381, 382, 000 )
+          CALL netcdf_create_att( id_set_yz(av), id_var_yv_yz(av), 'axis', 'Y', 000)
 !
 !--       Define the two z-axes (zu and zw)
-          CALL netcdf_create_dim( id_set_yz(av), 'zu', nz+2, id_dim_zu_yz(av), &
-                                  192 )
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_zu_yz(av) /), 'zu', &
-                                  NF90_DOUBLE, id_var_zu_yz(av), 'meters', '', &
-                                  193, 194, 000 )
-          CALL netcdf_create_att( id_set_yz(av), id_var_zu_yz(av), 'axis',     &
-                                  'Z', 000)
-
-          CALL netcdf_create_dim( id_set_yz(av), 'zw', nz+2, id_dim_zw_yz(av), &
-                                  195 )
-          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_zw_yz(av) /), 'zw', &
-                                  NF90_DOUBLE, id_var_zw_yz(av), 'meters', '', &
-                                  196, 197, 000 )
-          CALL netcdf_create_att( id_set_yz(av), id_var_zw_yz(av), 'axis',     &
-                                  'Z', 000)
+          CALL netcdf_create_dim( id_set_yz(av), 'zu', nz+2, id_dim_zu_yz(av), 192 )
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_zu_yz(av) /), 'zu', NF90_DOUBLE,        &
+                                  id_var_zu_yz(av), 'meters', '', 193, 194, 000 )
+          CALL netcdf_create_att( id_set_yz(av), id_var_zu_yz(av), 'axis', 'Z', 000)
+
+          CALL netcdf_create_dim( id_set_yz(av), 'zw', nz+2, id_dim_zw_yz(av), 195 )
+          CALL netcdf_create_var( id_set_yz(av), (/ id_dim_zw_yz(av) /), 'zw', NF90_DOUBLE,        &
+                                  id_var_zw_yz(av), 'meters', '', 196, 197, 000 )
+          CALL netcdf_create_att( id_set_yz(av), id_var_zw_yz(av), 'axis', 'Z', 000)
 !
 !--       Define UTM and geographic coordinates
-          CALL define_geo_coordinates( id_set_yz(av),         &
-                  (/ id_dim_x_yz(av), id_dim_xu_yz(av) /),    &
-                  (/ id_dim_y_yz(av), id_dim_yv_yz(av) /),    &
-                  id_var_eutm_yz(:,av), id_var_nutm_yz(:,av), &
-                  id_var_lat_yz(:,av), id_var_lon_yz(:,av)    )
+          CALL define_geo_coordinates( id_set_yz(av),                                              &
+                                       (/ id_dim_x_yz(av), id_dim_xu_yz(av) /),                    &
+                                       (/ id_dim_y_yz(av), id_dim_yv_yz(av) /),                    &
+                                       id_var_eutm_yz(:,av), id_var_nutm_yz(:,av),                 &
+                                       id_var_lat_yz(:,av), id_var_lon_yz(:,av)    )
 !
 !--       Define coordinate-reference system
@@ -4441,11 +4126,8 @@
           IF ( land_surface )  THEN
 
-             CALL netcdf_create_dim( id_set_yz(av), 'zs', nzs,                 &
-                                     id_dim_zs_yz(av), 545 )
-             CALL netcdf_create_var( id_set_yz(av), (/ id_dim_zs_yz(av) /),    &
-                                     'zs', NF90_DOUBLE, id_var_zs_yz(av),      &
-                                     'meters', '', 546, 547, 000 )
-             CALL netcdf_create_att( id_set_yz(av), id_var_zs_yz(av), 'axis',  &
-                                     'Z', 000)
+             CALL netcdf_create_dim( id_set_yz(av), 'zs', nzs, id_dim_zs_yz(av), 545 )
+             CALL netcdf_create_var( id_set_yz(av), (/ id_dim_zs_yz(av) /), 'zs', NF90_DOUBLE,     &
+                                     id_var_zs_yz(av), 'meters', '', 546, 547, 000 )
+             CALL netcdf_create_att( id_set_yz(av), id_var_zs_yz(av), 'axis', 'Z', 000)
 
           ENDIF
@@ -4502,11 +4184,9 @@
 !--                   Check for land surface quantities
                       IF ( land_surface )  THEN
-                         CALL lsm_define_netcdf_grid( do2d(av,i), found,       &
-                                                      grid_x, grid_y, grid_z )
+                         CALL lsm_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
                       IF ( .NOT. found )  THEN
-                         CALL tcm_define_netcdf_grid( do2d(av,i), found,       &
-                                                      grid_x, grid_y, grid_z )
+                         CALL tcm_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
@@ -4514,12 +4194,10 @@
 !--                   Check for ocean quantities
                       IF ( .NOT. found  .AND.  ocean_mode )  THEN
-                         CALL ocean_define_netcdf_grid( do2d(av,i), found,     &
-                                                       grid_x, grid_y, grid_z )
+                         CALL ocean_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 !
 !--                   Check for radiation quantities
                       IF ( .NOT. found  .AND.  radiation )  THEN
-                         CALL radiation_define_netcdf_grid( do2d(av,i), found, &
-                                                            grid_x, grid_y,    &
+                         CALL radiation_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y,     &
                                                             grid_z )
                       ENDIF
@@ -4527,12 +4205,10 @@
 !--                   Check for SALSA quantities
                       IF ( .NOT. found  .AND.  salsa )  THEN
-                         CALL salsa_define_netcdf_grid( do2d(av,i), found,     &
-                                                        grid_x, grid_y, grid_z )
+                         CALL salsa_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 !
 !--                   Check for gust module quantities
                       IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
-                         CALL gust_define_netcdf_grid( do2d(av,i), found,      &
-                                                       grid_x, grid_y, grid_z )
+                         CALL gust_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
@@ -4540,25 +4216,19 @@
 !--                   Check for chemistry quantities
                       IF ( .NOT. found  .AND.  air_chemistry )  THEN
-                         CALL chem_define_netcdf_grid( do2d(av,i), found,      &
-                                                       grid_x, grid_y,         &
-                                                       grid_z )
+                         CALL chem_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
-                      IF ( .NOT. found )                                       &
-                         CALL doq_define_netcdf_grid(                          &
-                                                    do2d(av,i), found, grid_x, &
-                                                    grid_y, grid_z           )
+                      IF ( .NOT. found )                                                           &
+                         CALL doq_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
 !
 !--                   Check for user-defined quantities
                       IF ( .NOT. found  .AND.  user_module_enabled )  THEN
-                         CALL user_define_netcdf_grid( do2d(av,i), found,      &
-                                                       grid_x, grid_y, grid_z )
+                         CALL user_define_netcdf_grid( do2d(av,i), found, grid_x, grid_y, grid_z )
                       ENDIF
 
                       IF ( .NOT. found )  THEN
-                         WRITE ( message_string, * ) 'no grid defined for',    &
-                                                ' variable ', TRIM( do2d(av,i) )
-                         CALL message( 'define_netcdf_header', 'PA0244',       &
-                                       0, 1, 0, 6, 0 )
+                         WRITE ( message_string, * ) 'no grid defined for', ' variable ',          &
+                                                     TRIM( do2d(av,i) )
+                         CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )
                       ENDIF
 
@@ -4589,9 +4259,7 @@
 !
 !--             Define the grid
-                CALL netcdf_create_var( id_set_yz(av),  (/ id_x, id_y, id_z,   &
-                                        id_dim_time_yz(av) /), do2d(av,i),     &
-                                        nc_precision(3), id_var_do2d(av,i),    &
-                                        TRIM( do2d_unit(av,i) ), do2d(av,i),   &
-                                        198, 199, 356, .TRUE. )
+                CALL netcdf_create_var( id_set_yz(av),  (/ id_x, id_y, id_z, id_dim_time_yz(av) /),&
+                                        do2d(av,i), nc_precision(3), id_var_do2d(av,i),            &
+                                        TRIM( do2d_unit(av,i) ), do2d(av,i), 198, 199, 356, .TRUE. )
 
 #if defined( __netcdf4_parallel )
@@ -4599,27 +4267,26 @@
 !
 !--                Set no fill for every variable to increase performance.
-                   nc_stat = NF90_DEF_VAR_FILL( id_set_yz(av),     &
-                                                id_var_do2d(av,i), &
+                   nc_stat = NF90_DEF_VAR_FILL( id_set_yz(av),                                     &
+                                                id_var_do2d(av,i),                                 &
                                                 NF90_NOFILL, 0 )
                    CALL netcdf_handle_error( 'netcdf_define_header', 535 )
 !
-!--                Set independent io operations for parallel io. Collective io
-!--                is only allowed in case of a 1d-decomposition along y,
-!--                because otherwise, not all PEs have output data.
+!--                Set independent io operations for parallel io. Collective io is only allowed in
+!--                case of a 1d-decomposition along y, because otherwise, not all PEs have output
+!--                data.
                    IF ( npex == 1 )  THEN
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),     &
-                                                     id_var_do2d(av,i), &
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
                    ELSE
 !
-!--                   Test simulations showed that the output of cross sections
-!--                   by all PEs in data_output_2d using NF90_COLLECTIVE is
-!--                   faster than the output by the first row of PEs in
-!--                   y-direction using NF90_INDEPENDENT.
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),     &
-                                                     id_var_do2d(av,i), &
+!--                   Test simulations showed that the output of cross sections by all PEs in
+!--                   data_output_2d using NF90_COLLECTIVE is faster than the output by the first
+!--                   row of PEs in y-direction using NF90_INDEPENDENT.
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
-!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),     &
-!                                                     id_var_do2d(av,i), &
+!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),                                &
+!                                                     id_var_do2d(av,i),                            &
 !                                                     NF90_INDEPENDENT )
                    ENDIF
@@ -4640,13 +4307,11 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs and by combine_plot_fields)
-          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list )
+!--       Write the list of variables as global attribute (this is used by restart runs and by
+!--       combine_plot_fields)
+          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 200 )
 
 !
-!--       Set general no fill, otherwise the performance drops significantly for
-!--       parallel output.
+!--       Set general no fill, otherwise the performance drops significantly for parallel output.
           nc_stat = NF90_SET_FILL( id_set_yz(av), NF90_NOFILL, oldmode )
           CALL netcdf_handle_error( 'netcdf_define_header', 531 )
@@ -4658,6 +4323,5 @@
 
 !
-!--       These data are only written by PE0 for parallel output to increase
-!--       the performance.
+!--       These data are only written by PE0 for parallel output to increase the performance.
           IF ( myid == 0  .OR.  netcdf_data_format < 5 )  THEN
 
@@ -4675,6 +4339,6 @@
                 ENDIF
              ENDDO
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_x_yz(av), &
-                                     netcdf_data, start = (/ 1 /),   &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_x_yz(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 202 )
@@ -4689,6 +4353,6 @@
                 ENDIF
              ENDDO
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_xu_yz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_xu_yz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 383 )
@@ -4697,6 +4361,6 @@
 !--          Write gridpoint number data
              netcdf_data(1:ns) = section(1:ns,3)
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_ind_x_yz(av), &
-                                     netcdf_data, start = (/ 1 /),       &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_ind_x_yz(av),                           &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 203 )
@@ -4712,6 +4376,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_y_yz(av), &
-                                     netcdf_data, start = (/ 1 /),   &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_y_yz(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ny+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 204 )
@@ -4721,6 +4385,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_yv_yz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_yv_yz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ny+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 384 )
@@ -4733,12 +4397,12 @@
 
              netcdf_data(0:nz+1) = zu(nzb:nzt+1)
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_zu_yz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_zu_yz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nz+2 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 205 )
 
              netcdf_data(0:nz+1) = zw(nzb:nzt+1)
-             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_zw_yz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_zw_yz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nz+2 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 206 )
@@ -4773,11 +4437,11 @@
                          netcdf_data(i) = -1.0_wp  ! section averaged along x
                       ELSE
-                         netcdf_data(i) = init_model%origin_x &
-                                     + cos_rot_angle * ( section(i,3) + shift_x ) * dx
+                         netcdf_data(i) = init_model%origin_x                                      &
+                                          + cos_rot_angle * ( section(i,3) + shift_x ) * dx
                       ENDIF
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_eutm_yz(k,av),&
-                                           netcdf_data, start = (/ 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_eutm_yz(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ ns /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -4804,10 +4468,9 @@
 
                    DO  i = 0, ny
-                     netcdf_data(i) = init_model%origin_y                      &
-                                    + cos_rot_angle * ( i + shift_y ) * dy
+                     netcdf_data(i) = init_model%origin_y + cos_rot_angle * ( i + shift_y ) * dy
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_nutm_yz(k,av),&
-                                           netcdf_data, start = (/ 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_nutm_yz(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ ny+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -4843,13 +4506,13 @@
                             netcdf_data_2d(i,:) = -1.0_wp !section averaged along x
                          ELSE
-                            netcdf_data_2d(i,j) = init_model%origin_x                 &
-                                    + cos_rot_angle * ( section(i,3) + shift_x ) * dx &
-                                    + sin_rot_angle * ( j + shift_y ) * dy
+                            netcdf_data_2d(i,j) = init_model%origin_x                              &
+                                                 + cos_rot_angle * ( section(i,3) + shift_x ) * dx &
+                                                 + sin_rot_angle * ( j + shift_y ) * dy
                          ENDIF
                       ENDDO
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_eutm_yz(k,av),  &
-                                           netcdf_data_2d, start = (/ 1, 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_eutm_yz(k,av),                    &
+                                           netcdf_data_2d, start = (/ 1, 1 /),                     &
                                            count = (/ ns, ny+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -4860,13 +4523,13 @@
                             netcdf_data_2d(i,:) = -1.0_wp !section averaged along x
                          ELSE
-                            netcdf_data_2d(i,j) = init_model%origin_y                 &
-                                    - sin_rot_angle * ( section(i,3) + shift_x ) * dx &
-                                    + cos_rot_angle * ( j + shift_y ) * dy
+                            netcdf_data_2d(i,j) = init_model%origin_y                              &
+                                                 - sin_rot_angle * ( section(i,3) + shift_x ) * dx &
+                                                 + cos_rot_angle * ( j + shift_y ) * dy
                          ENDIF
                       ENDDO
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_nutm_yz(k,av),  &
-                                           netcdf_data_2d, start = (/ 1, 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_nutm_yz(k,av),                    &
+                                           netcdf_data_2d, start = (/ 1, 1 /),                     &
                                            count = (/ ns, ny+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 556 )
